Subject: RE: [Sip] sip grammar

From: "Mary Barnes" <[email-masked]>
Date: Thu, 3 Apr 2003 08:42:00 -0600

Hi Murali,

Just as an FYI, you're looking at an old document, so it's not surprising
there might be some errors.  The call flows were moved to the SIPPING WG and
they're now in 3 separate documents:
http://www.ietf.org/internet-drafts/draft-ietf-sipping-basic-call-flows-01.t
xt
http://www.ietf.org/internet-drafts/draft-ietf-sipping-pstn-call-flows-01.tx
t
http://www.ietf.org/internet-drafts/draft-ietf-sipping-torture-tests-00.txt

And then there's a fourth document with service examples:
http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-04.t
xt

Regards,
Mary H. Barnes

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Thursday, April 03, 2003 3:15 AM
To: murali
Cc: [email-masked]
Subject: Re: [Sip] sip grammar

The example message is not correct. The angle brackets need to be around 
the URI.

-Jonathan R.

murali wrote:
> Hi,
> 
> 	When i was going through the SIP Document:
draft-ietf-sip-call-flows-05.txt
> i came across a From Header which is like this
> 
> INVITE sip:[email-masked];user=phone SIP/2.0
> Via: SIP/2.0/UDP ift.here.com:5060
> From: sip:[email-masked];user=phone
> To: <sip:[email-masked];user=phone>
> Call-ID: [email-masked]
> CSeq: 17 INVITE
> Contact: <sip:[email-masked];user=phone>
> Content-Type: application/sdp
> Content-Length: 146
> 
> v=0
> o=IFAXTERMINAL01 2890844527 2890844527 IN IP4 ift.here.com
> s=Session SDP
> c=IN IP4 iftmg.here.com
> t=0 0
> m=audio 3456 RTP/AVP 0
> a=rtpmap:0 PCMU/8000
> (Ref: 3.1.7 Successful SIP to SIP with re-INVITE) 
> 
> but Section 20.20 of RFC 3261 says that
> "Even if the "display-name" is empty, the "name-addr" form MUST be 
> used if the "addr-spec" contains a comma, question mark, or semicolon"
> 
> so, i'd like to know if the above usage is correct?
>  In case it is correct how do i differentiate between the from parameters
and URI-parameters as both are delimited by ;.
> I mean to say that i can very well take that(user=phone) as generic
parameter in from parameters instead of taking it as uri parameter
> 
> Thanks in advance
> Murali
> 
> 
> 
> -------
> Murali Voleti,
> #503,Maheswari complex,
> Masab Tank,
> Hyderabad
> Tele:(040) 6502272 ext:211
> 
> _____________________________________________________________
> Get Your Free ScanMail and Email At http://mail.ttkbharatplanet.com
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip